• English
  • syncData API

    Upload and Update Server-Side Data API

    Function and Process Description

        Log in to the software through this API and upload server configuration identifiers.

    Data Format

    • [Request URL] /sync/syncData.do

    • [Request Method] POST

    Request Parameters

    Variable NameTypeNullableDescription
    dataStringNJSON string, format as follows:
    [
        {
          TableName ":" Database table name "
          "data":[
            {
              Unid ":" Identification ",
              Other database table data fields,
            }
          ]
        }
    ……
    ]
    Passwords and private keys are AES-encrypted using secretKey
    hashStringNHash value. Use SecretKey to AES-encrypt AppKey+","+{13-digit timestamp of the current client}. The server decrypts it and verifies whether the appKey matches. If not, the request is not processed. If the timestamp differs too much from the server's current time, the request is discarded to prevent replay attacks after modification.
    syncVerStringNSync version number x.x.x
    userSignStringNUnique user identifier
    encTypeStringNEncryption type. 1 indicates AES encryption

    Response Result

    Level 1 ParameterLevel 2 ParameterLevel 3 ParameterLevel 4 ParameterTypeDescription
    msgStringResult description
    resultStringProcessing result. 0 indicates success, other values indicate failure